ROX-CLib: applet.h File Reference

- Main Page
- Data Structures
- Files
- Related Pages

- File List
- Globals

# applet.h File Reference

Implementing ROX applets. More...

## Data Structures
struct | ROXAppletInfo
| Details of the location of an applet's icon. More...
## Enumerations
enum | rox_panel_location { PANEL_TOP, PANEL_BOTTOM, PANEL_LEFT, PANEL_RIGHT, PANEL_UNKNOWN }
## Functions
void | rox_applet_popup_menu (GtkWidget *plug, GtkWidget *menu, GdkEventButton *evbut)
ROXAppletInfo * | rox_applet_get_position (GtkWidget *plug)
void | applet_popup_menu (GtkWidget *plug, GtkWidget *menu, GdkEventButton *evbut)
ROXAppletInfo * | applet_get_position (GtkWidget *plug)

## Detailed Description

Implementing ROX applets.

Version:
  Id
    applet.h,v 1.6 2005/10/12 10:57:20 stephen Exp

Author:
  Stephen Watson stephen@kerofin.demon.co.uk

## Enumeration Type Documentation

enum rox_panel_location

Location of panel the applet is on.

Enumerator:

  PANEL_TOP | Panel is on the top
  PANEL_BOTTOM | Panel is on the bottom
  PANEL_LEFT | Panel is on the left
  PANEL_RIGHT | Panel is on the right
  PANEL_UNKNOWN | Panel location is unknown

## Function Documentation

ROXAppletInfo* applet_get_position | ( | GtkWidget * | plug | ) |

Return the location of an applet's icon.

Parameters:

  `[in]` | plug | the widget that the applet created in the panel.

Returns:
  pointer to applet info, pass to g_free() when done.

Deprecated:
  Use rox_applet_get_position() instead.

void applet_popup_menu | ( | GtkWidget * | plug,
|  | GtkWidget * | menu,
|  | GdkEventButton * | evbut |
| ) |  |  |

Popup a menu in the appropriate place for an applet's icon.

Parameters:

  `[in,out]` | plug | the GtkPlug object used to hold the applet
  `[in]` | menu | the menu to show
  `[in]` | evbut | the button event that triggered the menu, or `NULL` if the menu was triggered by some other means

Deprecated:
  Use rox_applet_popup_menu() instead.

ROXAppletInfo* rox_applet_get_position | ( | GtkWidget * | plug | ) |

Return the location of an applet's icon.

Parameters:

  `[in]` | plug | the widget that the applet created in the panel.

Returns:
  pointer to applet info, pass to g_free() when done.

void rox_applet_popup_menu | ( | GtkWidget * | plug,
|  | GtkWidget * | menu,
|  | GdkEventButton * | evbut |
| ) |  |  |

Popup a menu in the appropriate place for an applet's icon.

Parameters:

  `[in,out]` | plug | the GtkPlug object used to hold the applet
  `[in]` | menu | the menu to show
  `[in]` | evbut | the button event that triggered the menu, or `NULL` if the menu was triggered by some other means